/*
 *   gr_geom.c
 *   gripho Vers. 0.4
 *                 Copyright (C)  2001  Matteo Nastasi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *     CONTACT:    matteo.nastasi@milug.org
 *                 mnastasi@lycosmail.com
 *
 */

#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "gripho.h"

int gr_pptoline2d(gr_li2d *li , gr_pt2d *p1 , gr_pt2d *p2)
{
  if (EQUA(p1->x,p2->x) && EQUA(p1->y,p2->y))
    return 0;
  else {
    li->qx = p1->x;
    li->qy = p1->y;
    li->mx = p2->x - p1->x;
    li->my = p2->y - p1->y;
    return 1;
  }
}
