/*
 *   gr_geom.h
 *   gripho Vers. 0.4
 *                 Copyright (C)  2001  Matteo Nastasi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *     CONTACT:    matteo.nastasi@milug.org
 *                 mnastasi@lycosmail.com
 *
 */

#define INFIN        0.000000001
#define ZERO(a)      (fabs(a) < INFIN ? 0.0 : (a))
#define EQUA(a,b)    (fabs((a-b)) < INFIN ? 1 : 0)

struct tag_gr_pt2d {
  double x;
  double y;
};
typedef struct tag_gr_pt2d gr_pt2d;

struct tag_gr_m2 {
  double e[2];
};
typedef struct tag_gr_m2 gr_m2;

struct tag_gr_li2d {
  double qx;
  double mx;
  double qy;
  double my;
};
typedef struct tag_gr_li2d gr_li2d;

struct tag_gr_m2x2 {
  double e[2][2];
};
typedef struct tag_gr_m2x2 gr_m2x2;

