/*
 *   mdebug.h
 *   gripho Vers. 0.4
 *                 Copyright (C)  2001  Matteo Nastasi
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *     CONTACT:    matteo.nastasi@milug.org
 *                 mnastasi@lycosmail.com
 *
 */

#ifdef DEBUG 
#define DBG1(a)           { if (DEBUGTRIG) fprintf(stderr,(a)); }
#define DBG2(a,b)         { if (DEBUGTRIG) fprintf(stderr,(a),(b)); }
#define DBG3(a,b,c)       { if (DEBUGTRIG) fprintf(stderr,(a),(b),(c)); }
#define DBG4(a,b,c,d)     { if (DEBUGTRIG) fprintf(stderr,(a),(b),(c),(d)); }
#define DBG5(a,b,c,d,e)      \
             { if (DEBUGTRIG) fprintf(stderr,(a),(b),(c),(d),(e));}
#define DBG6(a,b,c,d,e,f)    \
             { if (DEBUGTRIG) fprintf(stderr,(a),(b),(c),(d),(e),(f));}
#define DBG7(a,b,c,d,e,f,g)  \
             { if (DEBUGTRIG) fprintf(stderr,(a),(b),(c),(d),(e),(f),(g));}
#define DEBUGTRIG 0                          
#else
#define DBG1(a)
#define DBG2(a,b)
#define DBG3(a,b,c)
#define DBG4(a,b,c,d)
#define DBG5(a,b,c,d,e)
#define DBG6(a,b,c,d,e,f)
#define DBG7(a,b,c,d,e,f,g)
#endif
